Bug 175475 - `throttle' option crashes yum
Summary: `throttle' option crashes yum
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-11 14:09 UTC by Dawid Gajownik
Modified: 2014-01-21 22:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 06:25:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2005-12-11 14:09:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051210 SeaMonkey/1.5a

Description of problem:
I've added to yum.conf this line:

throttle=80k

and yum stopped working:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 80, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 168, in getOptionsConfig
    self.doConfigSetup(fn=opts.conffile, root=root)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 97, in doConfigSetup
    self.conf = config.readMainConfig(fn, root)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 474, in readMainConfig
    yumconf.populate(confparser, 'main')
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 342, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 63, in __set__
    value = self.parse(value)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 310, in parse
    return BytesOption.parse(self, optval)
NameError: global name 'optval' is not defined


Version-Release number of selected component (if applicable):
yum-2.5.0-0.20051210

How reproducible:
Always

Steps to Reproduce:
1. Add âthrottle=80kâ to /etc/yum.conf fie
2. Run `yum update'
  

Additional info:

This option works with yum-2.4.1-1.fc4.

Comment 1 Seth Vidal 2005-12-19 06:25:48 UTC
fixed in upstream cvs. Will be available in 2.5.1

thanks


Comment 2 Dawid Gajownik 2005-12-19 10:35:46 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.